Package org.eclipse.emf.cdo.server.db.mapping

## Interface ITypeMapping.Descriptor

- Enclosing interface:
    ITypeMapping

      public static interface ITypeMapping.Descriptor

  A descriptor which describes one type mapping class. The descriptor is encoded in the factoryType which is used as a string description for the extension point mechanism. Translations and instantiations can be done using the methods in `TypeMappingUtil`.
  Since:
    4.0
  Author:
    Stefan Winkler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.net4j.db.DBType` | `getDBType()` | The target (i.e., db) type that can be mapped by the type mapping.
    `EClassifier` | `getEClassifier()` | The source (i.e., model) type that can be mapped by the type mapping.
    `java.lang.String` | `getFactoryType()` | The factoryType of the factory which can create the type mapping
    `java.lang.String` | `getID()` | The ID of the described type mapping.

- - ### Method Detail

    - #### getFactoryType

          java.lang.String getFactoryType()

      The factoryType of the factory which can create the type mapping

    - #### getID

          java.lang.String getID()

      The ID of the described type mapping.

    - #### getEClassifier

          EClassifier getEClassifier()

      The source (i.e., model) type that can be mapped by the type mapping.

    - #### getDBType

          org.eclipse.net4j.db.DBType getDBType()

      The target (i.e., db) type that can be mapped by the type mapping.